<?php
/**
 * Branko Ajzele, http://activecodeline.com
 *
 * NOTICE OF LICENSE
 *
 * @category    ActiveCodeline
 * @package     ActiveCodeline_Widget
 * @copyright   Copyright (c) 2009 Branko Ajzele
 * @license     http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
class ActiveCodeline_WidgetOne_Block_HelloWorld
extends Mage_Core_Block_Abstract
implements Mage_Widget_Block_Interface
{
    protected function _toHtml()
    {
        $html = '';

        $acwp_custom1 = $this->getData('acwp_custom1');
        $acwp_custom2 = $this->getData('acwp_custom2');

        $html .= '<h3>HelloWorld...</h3>';
        $html .= '<p><i>Value of acwp_custom1 input field here:</i> <b>'.$acwp_custom1.'</b></p>';
        $html .= '<p>Value of acwp_custom2 input field here:</i> <b>'.$acwp_custom2.'</b></p>';

        return $html;
    }
}